Pokémon
List Pokémon
Returns a paginated list of all Pokémon. Each result is a name/URL stub — follow the URL to get the full Pokémon resource.
GET
/pokemonlist-pokemonServer
https://pokeapi.co/api/v2Production (no auth required)
Query Parameters
Number of results to return per page. Defaults to 20. Use `limit=100000` to fetch all names at once for an autocomplete index.
Zero-based index of the first result to return. Used for pagination.
Responses
200A paginated list of Pokémon name/URL stubs.application/json
Total number of resources in this collection.
URL of the next page, or null if this is the last page.
URL of the previous page, or null if this is the first page.
curl https://pokeapi.co/api/v2/pokemonfetch('https://pokeapi.co/api/v2/pokemon')requests.get("https://pokeapi.co/api/v2/pokemon")fetch('https://pokeapi.co/api/v2/pokemon'){
"count": 0,
"next": "https://example.com",
"previous": "https://example.com",
"results": [
{
"name": "<string>",
"url": "https://example.com"
}
]
}